uk.gov.hmrc.util

# PrettyMapper

###
Related Doc: package util

#### object PrettyMapper extends ObjectMapper with JacksonMapper

Linear Supertypes
JacksonMapper, ObjectMapper, Serializable, ObjectCodec, Versioned, TreeCodec, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PrettyMapper
2. JacksonMapper
3. ObjectMapper
4. Serializable
5. ObjectCodec
6. Versioned
7. TreeCodec
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def _checkInvalidCopy(arg0: Class[_]): Unit

   Attributes
     protected[com.fasterxml.jackson.databind]
   Definition Classes
     ObjectMapper

5. #### final def _configAndWriteValue(arg0: JsonGenerator, arg1: Any): Unit

   Attributes
     protected[com.fasterxml.jackson.databind]
   Definition Classes
     ObjectMapper
   Annotations
     @throws( classOf[java.io.IOException] )

6. #### def _convert(arg0: Any, arg1: JavaType): AnyRef

   Attributes
     protected[com.fasterxml.jackson.databind]
   Definition Classes
     ObjectMapper
   Annotations
     @throws( ... )

7. #### def _findRootDeserializer(arg0: DeserializationContext, arg1: JavaType): JsonDeserializer[AnyRef]

   Attributes
     protected[com.fasterxml.jackson.databind]
   Definition Classes
     ObjectMapper
   Annotations
     @throws( ... )

8. #### def _initForReading(arg0: JsonParser): JsonToken

   Attributes
     protected[com.fasterxml.jackson.databind]
   Definition Classes
     ObjectMapper
   Annotations
     @throws( classOf[java.io.IOException] )

9. #### def _newReader(arg0: DeserializationConfig, arg1: JavaType, arg2: Any, arg3: FormatSchema, arg4: InjectableValues): ObjectReader

   Attributes
     protected[com.fasterxml.jackson.databind]
   Definition Classes
     ObjectMapper

10. #### def _newReader(arg0: DeserializationConfig): ObjectReader

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper

11. #### def _newWriter(arg0: SerializationConfig, arg1: JavaType, arg2: PrettyPrinter): ObjectWriter

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper

12. #### def _newWriter(arg0: SerializationConfig, arg1: FormatSchema): ObjectWriter

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper

13. #### def _newWriter(arg0: SerializationConfig): ObjectWriter

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper

14. #### def _readMapAndClose(arg0: JsonParser, arg1: JavaType): AnyRef

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper
    Annotations
      @throws( classOf[java.io.IOException] )

15. #### def _readValue(arg0: DeserializationConfig, arg1: JsonParser, arg2: JavaType): AnyRef

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper
    Annotations
      @throws( classOf[java.io.IOException] )

16. #### def _serializerProvider(arg0: SerializationConfig): DefaultSerializerProvider

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper

17. #### def _unwrapAndDeserialize(arg0: JsonParser, arg1: DeserializationContext, arg2: DeserializationConfig, arg3: JavaType, arg4: JsonDeserializer[AnyRef]): AnyRef

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper
    Annotations
      @throws( classOf[java.io.IOException] )

18. #### def _verifySchemaType(arg0: FormatSchema): Unit

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper

19. #### def acceptJsonFormatVisitor(arg0: JavaType, arg1: JsonFormatVisitorWrapper): Unit

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... )

20. #### def acceptJsonFormatVisitor(arg0: Class[_], arg1: JsonFormatVisitorWrapper): Unit

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... )

21. #### def addHandler(arg0: DeserializationProblemHandler): ObjectMapper

    Definition Classes
      ObjectMapper

22. #### def addMixIn(arg0: Class[_], arg1: Class[_]): ObjectMapper

    Definition Classes
      ObjectMapper

23. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

24. #### def canDeserialize(arg0: JavaType, arg1: AtomicReference[Throwable]): Boolean

    Definition Classes
      ObjectMapper

25. #### def canDeserialize(arg0: JavaType): Boolean

    Definition Classes
      ObjectMapper

26. #### def canSerialize(arg0: Class[_], arg1: AtomicReference[Throwable]): Boolean

    Definition Classes
      ObjectMapper

27. #### def canSerialize(arg0: Class[_]): Boolean

    Definition Classes
      ObjectMapper

28. #### def clearProblemHandlers(): ObjectMapper

    Definition Classes
      ObjectMapper

29. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### def configOverride(arg0: Class[_]): MutableConfigOverride

    Definition Classes
      ObjectMapper

31. #### def configure(arg0: Feature, arg1: Boolean): ObjectMapper

    Definition Classes
      ObjectMapper

32. #### def configure(arg0: Feature, arg1: Boolean): ObjectMapper

    Definition Classes
      ObjectMapper

33. #### def configure(arg0: DeserializationFeature, arg1: Boolean): ObjectMapper

    Definition Classes
      ObjectMapper

34. #### def configure(arg0: SerializationFeature, arg1: Boolean): ObjectMapper

    Definition Classes
      ObjectMapper

35. #### def configure(arg0: MapperFeature, arg1: Boolean): ObjectMapper

    Definition Classes
      ObjectMapper

36. #### def constructType(arg0: Type): JavaType

    Definition Classes
      ObjectMapper

37. #### def convertValue[T](arg0: Any, arg1: JavaType): T

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... )

38. #### def convertValue[T](arg0: Any, arg1: TypeReference[_]): T

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... )

39. #### def convertValue[T](arg0: Any, arg1: Class[T]): T

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... )

40. #### def copy(): ObjectMapper

    Definition Classes
      ObjectMapper

41. #### def createArrayNode(): ArrayNode

    Definition Classes
      ObjectMapper → ObjectCodec → TreeCodec

42. #### def createDeserializationContext(arg0: JsonParser, arg1: DeserializationConfig): DefaultDeserializationContext

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper

43. #### def createObjectNode(): ObjectNode

    Definition Classes
      ObjectMapper → ObjectCodec → TreeCodec

44. #### def defaultClassIntrospector(): ClassIntrospector

    Attributes
      protected[com.fasterxml.jackson.databind]
    Definition Classes
      ObjectMapper

45. #### def disable(arg0: <repeated...>[Feature]): ObjectMapper

    Definition Classes
      ObjectMapper

46. #### def disable(arg0: <repeated...>[Feature]): ObjectMapper

    Definition Classes
      ObjectMapper

47. #### def disable(arg0: DeserializationFeature, arg1: <repeated...>[DeserializationFeature]): ObjectMapper

    Definition Classes
      ObjectMapper

48. #### def disable(arg0: DeserializationFeature): ObjectMapper

    Definition Classes
      ObjectMapper

49. #### def disable(arg0: SerializationFeature, arg1: <repeated...>[SerializationFeature]): ObjectMapper

    Definition Classes
      ObjectMapper

50. #### def disable(arg0: SerializationFeature): ObjectMapper

    Definition Classes
      ObjectMapper

51. #### def disable(arg0: <repeated...>[MapperFeature]): ObjectMapper

    Definition Classes
      ObjectMapper

52. #### def disableDefaultTyping(): ObjectMapper

    Definition Classes
      ObjectMapper

53. #### def enable(arg0: <repeated...>[Feature]): ObjectMapper

    Definition Classes
      ObjectMapper

54. #### def enable(arg0: <repeated...>[Feature]): ObjectMapper

    Definition Classes
      ObjectMapper

55. #### def enable(arg0: DeserializationFeature, arg1: <repeated...>[DeserializationFeature]): ObjectMapper

    Definition Classes
      ObjectMapper

56. #### def enable(arg0: DeserializationFeature): ObjectMapper

    Definition Classes
      ObjectMapper

57. #### def enable(arg0: SerializationFeature, arg1: <repeated...>[SerializationFeature]): ObjectMapper

    Definition Classes
      ObjectMapper

58. #### def enable(arg0: SerializationFeature): ObjectMapper

    Definition Classes
      ObjectMapper

59. #### def enable(arg0: <repeated...>[MapperFeature]): ObjectMapper

    Definition Classes
      ObjectMapper

60. #### def enableDefaultTyping(arg0: DefaultTyping, arg1: As): ObjectMapper

    Definition Classes
      ObjectMapper

61. #### def enableDefaultTyping(arg0: DefaultTyping): ObjectMapper

    Definition Classes
      ObjectMapper

62. #### def enableDefaultTyping(): ObjectMapper

    Definition Classes
      ObjectMapper

63. #### def enableDefaultTypingAsProperty(arg0: DefaultTyping, arg1: String): ObjectMapper

    Definition Classes
      ObjectMapper

64. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

65. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

66. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

67. #### def findAndRegisterModules(): ObjectMapper

    Definition Classes
      ObjectMapper

68. #### def findMixInClassFor(arg0: Class[_]): Class[_]

    Definition Classes
      ObjectMapper

69. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

70. #### def getDateFormat(): DateFormat

    Definition Classes
      ObjectMapper

71. #### def getDeserializationConfig(): DeserializationConfig

    Definition Classes
      ObjectMapper

72. #### def getDeserializationContext(): DeserializationContext

    Definition Classes
      ObjectMapper

73. #### def getFactory(): JsonFactory

    Definition Classes
      ObjectMapper → ObjectCodec

74. #### def getInjectableValues(): InjectableValues

    Definition Classes
      ObjectMapper

75. #### def getNodeFactory(): JsonNodeFactory

    Definition Classes
      ObjectMapper

76. #### def getPropertyNamingStrategy(): PropertyNamingStrategy

    Definition Classes
      ObjectMapper

77. #### def getSerializationConfig(): SerializationConfig

    Definition Classes
      ObjectMapper

78. #### def getSerializerFactory(): SerializerFactory

    Definition Classes
      ObjectMapper

79. #### def getSerializerProvider(): SerializerProvider

    Definition Classes
      ObjectMapper

80. #### def getSerializerProviderInstance(): SerializerProvider

    Definition Classes
      ObjectMapper

81. #### def getSubtypeResolver(): SubtypeResolver

    Definition Classes
      ObjectMapper

82. #### def getTypeFactory(): TypeFactory

    Definition Classes
      ObjectMapper

83. #### def getVisibilityChecker(): VisibilityChecker[_]

    Definition Classes
      ObjectMapper

84. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

85. #### def isEnabled(arg0: Feature): Boolean

    Definition Classes
      ObjectMapper

86. #### def isEnabled(arg0: Feature): Boolean

    Definition Classes
      ObjectMapper

87. #### def isEnabled(arg0: Feature): Boolean

    Definition Classes
      ObjectMapper

88. #### def isEnabled(arg0: DeserializationFeature): Boolean

    Definition Classes
      ObjectMapper

89. #### def isEnabled(arg0: SerializationFeature): Boolean

    Definition Classes
      ObjectMapper

90. #### def isEnabled(arg0: MapperFeature): Boolean

    Definition Classes
      ObjectMapper

91. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

92. #### def mixInCount(): Int

    Definition Classes
      ObjectMapper

93. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

94. #### final def notify(): Unit

    Definition Classes
      AnyRef

95. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

96. #### def readTree(arg0: URL): JsonNode

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... ) @throws( classOf[java.io.IOException] )

97. #### def readTree(arg0: File): JsonNode

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... ) @throws( classOf[java.io.IOException] )

98. #### def readTree(arg0: Array[Byte]): JsonNode

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... ) @throws( classOf[java.io.IOException] )

99. #### def readTree(arg0: String): JsonNode

    Definition Classes
      ObjectMapper
    Annotations
      @throws( ... ) @throws( classOf[java.io.IOException] )

100. #### def readTree(arg0: Reader): JsonNode

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

101. #### def readTree(arg0: InputStream): JsonNode

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

102. #### def readTree[T <: TreeNode](arg0: JsonParser): T

     Definition Classes
       ObjectMapper → ObjectCodec → TreeCodec
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

103. #### def readValue[T](arg0: DataInput, arg1: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( classOf[java.io.IOException] )

104. #### def readValue[T](arg0: DataInput, arg1: Class[T]): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( classOf[java.io.IOException] )

105. #### def readValue[T](arg0: Array[Byte], arg1: Int, arg2: Int, arg3: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

106. #### def readValue[T](arg0: Array[Byte], arg1: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

107. #### def readValue[T](arg0: Array[Byte], arg1: Int, arg2: Int, arg3: TypeReference): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

108. #### def readValue[T](arg0: Array[Byte], arg1: TypeReference): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

109. #### def readValue[T](arg0: Array[Byte], arg1: Int, arg2: Int, arg3: Class[T]): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

110. #### def readValue[T](arg0: Array[Byte], arg1: Class[T]): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

111. #### def readValue[T](arg0: InputStream, arg1: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

112. #### def readValue[T](arg0: InputStream, arg1: TypeReference): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

113. #### def readValue[T](arg0: InputStream, arg1: Class[T]): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

114. #### def readValue[T](arg0: Reader, arg1: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

115. #### def readValue[T](arg0: Reader, arg1: TypeReference): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

116. #### def readValue[T](arg0: Reader, arg1: Class[T]): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

117. #### def readValue[T](arg0: String, arg1: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

118. #### def readValue[T](arg0: String, arg1: TypeReference): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

119. #### def readValue[T](arg0: String, arg1: Class[T]): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

120. #### def readValue[T](arg0: URL, arg1: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

121. #### def readValue[T](arg0: URL, arg1: TypeReference): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

122. #### def readValue[T](arg0: URL, arg1: Class[T]): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

123. #### def readValue[T](arg0: File, arg1: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

124. #### def readValue[T](arg0: File, arg1: TypeReference): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

125. #### def readValue[T](arg0: File, arg1: Class[T]): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

126. #### def readValue[T](arg0: JsonParser, arg1: JavaType): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

127. #### final def readValue[T](arg0: JsonParser, arg1: ResolvedType): T

     Definition Classes
       ObjectMapper → ObjectCodec
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

128. #### def readValue[T](arg0: JsonParser, arg1: TypeReference[_]): T

     Definition Classes
       ObjectMapper → ObjectCodec
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

129. #### def readValue[T](arg0: JsonParser, arg1: Class[T]): T

     Definition Classes
       ObjectMapper → ObjectCodec
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

130. #### def readValues[T](arg0: JsonParser, arg1: TypeReference[_]): MappingIterator[T]

     Definition Classes
       ObjectMapper → ObjectCodec
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

131. #### def readValues[T](arg0: JsonParser, arg1: Class[T]): MappingIterator[T]

     Definition Classes
       ObjectMapper → ObjectCodec
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

132. #### def readValues[T](arg0: JsonParser, arg1: JavaType): MappingIterator[T]

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

133. #### def readValues[T](arg0: JsonParser, arg1: ResolvedType): MappingIterator[T]

     Definition Classes
       ObjectMapper → ObjectCodec
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

134. #### def reader(arg0: ContextAttributes): ObjectReader

     Definition Classes
       ObjectMapper

135. #### def reader(arg0: Base64Variant): ObjectReader

     Definition Classes
       ObjectMapper

136. #### def reader(arg0: InjectableValues): ObjectReader

     Definition Classes
       ObjectMapper

137. #### def reader(arg0: FormatSchema): ObjectReader

     Definition Classes
       ObjectMapper

138. #### def reader(arg0: JsonNodeFactory): ObjectReader

     Definition Classes
       ObjectMapper

139. #### def reader(arg0: DeserializationFeature, arg1: <repeated...>[DeserializationFeature]): ObjectReader

     Definition Classes
       ObjectMapper

140. #### def reader(arg0: DeserializationFeature): ObjectReader

     Definition Classes
       ObjectMapper

141. #### def reader(): ObjectReader

     Definition Classes
       ObjectMapper

142. #### def readerFor(arg0: TypeReference[_]): ObjectReader

     Definition Classes
       ObjectMapper

143. #### def readerFor(arg0: Class[_]): ObjectReader

     Definition Classes
       ObjectMapper

144. #### def readerFor(arg0: JavaType): ObjectReader

     Definition Classes
       ObjectMapper

145. #### def readerForUpdating(arg0: Any): ObjectReader

     Definition Classes
       ObjectMapper

146. #### def readerWithView(arg0: Class[_]): ObjectReader

     Definition Classes
       ObjectMapper

147. #### def registerModule(arg0: Module): ObjectMapper

     Definition Classes
       ObjectMapper

148. #### def registerModules(arg0: Iterable[Module]): ObjectMapper

     Definition Classes
       ObjectMapper

149. #### def registerModules(arg0: <repeated...>[Module]): ObjectMapper

     Definition Classes
       ObjectMapper

150. #### def registerSubtypes(arg0: <repeated...>[NamedType]): Unit

     Definition Classes
       ObjectMapper

151. #### def registerSubtypes(arg0: <repeated...>[Class[_]]): Unit

     Definition Classes
       ObjectMapper

152. #### def setAnnotationIntrospector(arg0: AnnotationIntrospector): ObjectMapper

     Definition Classes
       ObjectMapper

153. #### def setAnnotationIntrospectors(arg0: AnnotationIntrospector, arg1: AnnotationIntrospector): ObjectMapper

     Definition Classes
       ObjectMapper

154. #### def setBase64Variant(arg0: Base64Variant): ObjectMapper

     Definition Classes
       ObjectMapper

155. #### def setConfig(arg0: SerializationConfig): ObjectMapper

     Definition Classes
       ObjectMapper

156. #### def setConfig(arg0: DeserializationConfig): ObjectMapper

     Definition Classes
       ObjectMapper

157. #### def setDateFormat(arg0: DateFormat): ObjectMapper

     Definition Classes
       ObjectMapper

158. #### def setDefaultPrettyPrinter(arg0: PrettyPrinter): ObjectMapper

     Definition Classes
       ObjectMapper

159. #### def setDefaultTyping(arg0: TypeResolverBuilder[_]): ObjectMapper

     Definition Classes
       ObjectMapper

160. #### def setFilterProvider(arg0: FilterProvider): ObjectMapper

     Definition Classes
       ObjectMapper

161. #### def setHandlerInstantiator(arg0: HandlerInstantiator): AnyRef

     Definition Classes
       ObjectMapper

162. #### def setInjectableValues(arg0: InjectableValues): ObjectMapper

     Definition Classes
       ObjectMapper

163. #### def setLocale(arg0: Locale): ObjectMapper

     Definition Classes
       ObjectMapper

164. #### def setMixInResolver(arg0: MixInResolver): ObjectMapper

     Definition Classes
       ObjectMapper

165. #### def setMixIns(arg0: Map[Class[_], Class[_]]): ObjectMapper

     Definition Classes
       ObjectMapper

166. #### def setNodeFactory(arg0: JsonNodeFactory): ObjectMapper

     Definition Classes
       ObjectMapper

167. #### def setPropertyInclusion(arg0: Value): ObjectMapper

     Definition Classes
       ObjectMapper

168. #### def setPropertyNamingStrategy(arg0: PropertyNamingStrategy): ObjectMapper

     Definition Classes
       ObjectMapper

169. #### def setSerializationInclusion(arg0: Include): ObjectMapper

     Definition Classes
       ObjectMapper

170. #### def setSerializerFactory(arg0: SerializerFactory): ObjectMapper

     Definition Classes
       ObjectMapper

171. #### def setSerializerProvider(arg0: DefaultSerializerProvider): ObjectMapper

     Definition Classes
       ObjectMapper

172. #### def setSubtypeResolver(arg0: SubtypeResolver): ObjectMapper

     Definition Classes
       ObjectMapper

173. #### def setTimeZone(arg0: TimeZone): ObjectMapper

     Definition Classes
       ObjectMapper

174. #### def setTypeFactory(arg0: TypeFactory): ObjectMapper

     Definition Classes
       ObjectMapper

175. #### def setVisibility(arg0: PropertyAccessor, arg1: Visibility): ObjectMapper

     Definition Classes
       ObjectMapper

176. #### def setVisibility(arg0: VisibilityChecker[_]): ObjectMapper

     Definition Classes
       ObjectMapper

177. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

178. #### def toString(): String

     Definition Classes
       AnyRef → Any

179. #### def treeAsTokens(arg0: TreeNode): JsonParser

     Definition Classes
       ObjectMapper → ObjectCodec → TreeCodec

180. #### def treeToValue[T](arg0: TreeNode, arg1: Class[T]): T

     Definition Classes
       ObjectMapper → ObjectCodec
     Annotations
       @throws( ... )

181. #### def valueToTree[T <: JsonNode](arg0: Any): T

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... )

182. #### def version(): Version

     Definition Classes
       ObjectMapper → ObjectCodec → Versioned

183. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

184. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

185. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

186. #### def writeTree(arg0: JsonGenerator, arg1: JsonNode): Unit

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

187. #### def writeTree(arg0: JsonGenerator, arg1: TreeNode): Unit

     Definition Classes
       ObjectMapper → ObjectCodec → TreeCodec
     Annotations
       @throws( ... ) @throws( classOf[java.io.IOException] )

188. #### def writeValue(arg0: Writer, arg1: Any): Unit

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

189. #### def writeValue(arg0: DataOutput, arg1: Any): Unit

     Definition Classes
       ObjectMapper
     Annotations
       @throws( classOf[java.io.IOException] )

190. #### def writeValue(arg0: OutputStream, arg1: Any): Unit

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

191. #### def writeValue(arg0: File, arg1: Any): Unit

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

192. #### def writeValue(arg0: JsonGenerator, arg1: Any): Unit

     Definition Classes
       ObjectMapper → ObjectCodec
     Annotations
       @throws( ... ) @throws( ... ) @throws( classOf[java.io.IOException] )

193. #### def writeValueAsBytes(arg0: Any): Array[Byte]

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... )

194. #### def writeValueAsString(arg0: Any): String

     Definition Classes
       ObjectMapper
     Annotations
       @throws( ... )

195. #### def writer(arg0: ContextAttributes): ObjectWriter

     Definition Classes
       ObjectMapper

196. #### def writer(arg0: CharacterEscapes): ObjectWriter

     Definition Classes
       ObjectMapper

197. #### def writer(arg0: Base64Variant): ObjectWriter

     Definition Classes
       ObjectMapper

198. #### def writer(arg0: FormatSchema): ObjectWriter

     Definition Classes
       ObjectMapper

199. #### def writer(arg0: FilterProvider): ObjectWriter

     Definition Classes
       ObjectMapper

200. #### def writer(arg0: PrettyPrinter): ObjectWriter

     Definition Classes
       ObjectMapper

201. #### def writer(arg0: DateFormat): ObjectWriter

     Definition Classes
       ObjectMapper

202. #### def writer(arg0: SerializationFeature, arg1: <repeated...>[SerializationFeature]): ObjectWriter

     Definition Classes
       ObjectMapper

203. #### def writer(arg0: SerializationFeature): ObjectWriter

     Definition Classes
       ObjectMapper

204. #### def writer(): ObjectWriter

     Definition Classes
       ObjectMapper

205. #### def writerFor(arg0: JavaType): ObjectWriter

     Definition Classes
       ObjectMapper

206. #### def writerFor(arg0: TypeReference[_]): ObjectWriter

     Definition Classes
       ObjectMapper

207. #### def writerFor(arg0: Class[_]): ObjectWriter

     Definition Classes
       ObjectMapper

208. #### def writerWithDefaultPrettyPrinter(): ObjectWriter

     Definition Classes
       ObjectMapper

209. #### def writerWithView(arg0: Class[_]): ObjectWriter

     Definition Classes
       ObjectMapper

### Deprecated Value Members

1. #### final def addMixInAnnotations(arg0: Class[_], arg1: Class[_]): Unit

   Definition Classes
     ObjectMapper
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def generateJsonSchema(arg0: Class[_]): JsonSchema

   Definition Classes
     ObjectMapper
   Annotations
     @Deprecated @deprecated @throws( ... )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def getJsonFactory(): JsonFactory

   Definition Classes
     ObjectMapper → ObjectCodec
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def reader(arg0: TypeReference[_]): ObjectReader

   Definition Classes
     ObjectMapper
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### def reader(arg0: Class[_]): ObjectReader

   Definition Classes
     ObjectMapper
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### def reader(arg0: JavaType): ObjectReader

   Definition Classes
     ObjectMapper
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def setFilters(arg0: FilterProvider): Unit

   Definition Classes
     ObjectMapper
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### def setMixInAnnotations(arg0: Map[Class[_], Class[_]]): Unit

   Definition Classes
     ObjectMapper
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### def setVisibilityChecker(arg0: VisibilityChecker[_]): Unit

   Definition Classes
     ObjectMapper
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### def writerWithType(arg0: JavaType): ObjectWriter

    Definition Classes
      ObjectMapper
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def writerWithType(arg0: TypeReference[_]): ObjectWriter

    Definition Classes
      ObjectMapper
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

12. #### def writerWithType(arg0: Class[_]): ObjectWriter

    Definition Classes
      ObjectMapper
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

### Inherited from JacksonMapper

### Inherited from ObjectMapper

### Inherited from Serializable

### Inherited from ObjectCodec

### Inherited from Versioned

### Inherited from TreeCodec

### Inherited from AnyRef

### Inherited from Any

### Ungrouped